%define module	SVG-Parser
%define name	perl-%{module}
%define version 1.03
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl XML Parser for Scalable Vector Graphics (SVG) documents
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/SVG/%{module}-%{version}.tar.bz2
BuildRequires:	perl(XML::SAX)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(SVG)
BuildRequires:	perl(Module::Build)
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SVG::Parser is an XML parser for SVG Documents. It takes XML as input and
produces an SVG object as its output. SVG::Parser supports both XML::SAX and
XML::Parser (Expat) parsers, with SAX preferred by default.
Only one of these needs to be installed for SVG::Parser to function.

A list of preferred parsers may be specified in the import list.
SVG::Parser will use the first parser that successfully loads.
Some basic measures are taken to provide cross-compatibility.
Applications requiring more advanced parser features should use
the relevant parser module directly; see SVG::Parser::Expat and 
SVG::Parser::SAX.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%check
./Build test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README examples
%{perl_vendorlib}/SVG
%{_mandir}/*/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.03-2mdv2009.0
+ Revision: 265436
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 195143
- switch to Module::Build

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.01-2mdv2008.1
+ Revision: 180559
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 05 2007 Pascal Terjan <pterjan@mandriva.org> 1.01-1mdv2007.0
+ Revision: 116537
- fix Requires and BuildRequires
- fix file listed twice
- shorten summary and other lines too long
- fix typo in description
- Import perl-SVG-Parser

* Mon Feb 05 2007 Raphaël Gertz <rapsys@free.fr> 1.01-0.1mdv2007.0
- first mdk release

